--- title: "getInitScriptList" slug: "compute-vserver-initscript-getinitscriptlist" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-initscript-getinitscriptlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getInitScriptList Available in VPC Get the list of init scripts. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/getInitScriptList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `initScriptNoList.N` | Array | Optional | Init script number list - Filter by the script number. - Example: `initScriptNoList.1=1234&initScriptNoList.2=2345` | | `initScriptName` | String | Optional | Filter by the init script name. | | `osTypeCode` | String | Optional | Filter by the operating system type code. - `LNX` \| `WND` - `LNX`: Linux - `WND`: Windows | | `pageNo` | Integer | Optional | Page number - 0-N (default: 0) - First page: Enter `0` or `1`. | | `pageSize` | Integer | Conditional | Number of items per page - 1-1000 (default: 1) - Required when entering `pageNo` | | `sortedBy` | String | Optional | Sort by - `initScriptName`: init script name (valid value) | | `sortingOrder` | String | Optional | Sort order - `ASC` (default) \| `DESC` - `ASC`: ascending order - `DESC`: descending order | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/getInitScriptList ?regionCode=KR &initScriptName=init &osTypeCode=LNX &pageNo=1 &pageSize=3 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getInitScriptListResponse` | Object | - | Response result - See [InitScriptList](/docs/en/common-vapidatatype-initscriptlist). | | `getInitScriptListResponse.requestId` | String | - | ID for the request - UUID format | | `getInitScriptListResponse.returnCode` | String | - | Response code | | `getInitScriptListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getInitScriptListResponse": { "totalRows": 2, "initScriptList": [ { "initScriptNo": "2***6", "initScriptName": "init2", "createDate": "2025-06-20T09:40:05+0900", "initScriptDescription": "Language setting script", "initScriptContent": "", "osType": { "code": "LNX", "codeName": "LINUX" } }, { "initScriptNo": "2***5", "initScriptName": "init", "createDate": "2025-06-20T09:30:38+0900", "initScriptDescription": "Server reset script", "initScriptContent": "", "osType": { "code": "LNX", "codeName": "LINUX" } } ], "requestId": "644c9482-****-****-****-1cdcda78914d", "returnCode": "0", "returnMessage": "success" } } ```